/{organizationId}/crm/certificates/types/{typeId}Update certificate type
Updates a certificate type
Required permissions:
certificateType.edit
Path Parameters
organizationIdstringrequired typeIdstringrequired Request Body required
Content-Type: application/json
namestringrequired minLength: 1
maxLength: 40
willExpireDaysBeforeExpiryintegerrequired maximum: 9007199254740991
exclusiveMinimum: 0
ObjectId as string
contactTypestring | nullrequired Options:
memberaddresscustomersponsorcontributoremployeesupplierenableExpressaTemplatebooleanrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/certificates/types/{typeId}' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"confirmationMail": {
"subject": "string",
"message": "string"
},
"willExpireDaysBeforeExpiry": 1,
"expressaTemplate": "000000000000000000000001",
"contactType": "member",
"enableExpressaTemplate": true
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}